<?php

/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';

require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';
if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];


// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);

// Create a new option object for displaying the setting's page's HTML form
$oOptions = new OA_Admin_Option('settings');
$prefSection = "keyword";

// Prepare an array for storing error messages
$aErrormessage = array();

// If the settings page is a submission, deal with the form data
// Set the correct section of the settings pages and display the drop-down menu
$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel($title);
phpAds_PageHeader('account-settings-index', $oHeaderModel);
if (isset($_POST['submit']))
{
	$keyword = $_POST['keyword'];


	$count = count($keyword);
	

	for ($i = 0;$i < $count;$i++)
	{
		if(!empty($keyword[$i])) {

				$insertKeyword = $keyword[$i];

				$sql = "INSERT INTO rv_keyword(keyword) VALUES('".$insertKeyword."')";

				OA_Dal_Delivery_query($sql,$con);
		}
	
	}
	
header("Location: account-settings-keyword.php");		
	
}

if (isset($_GET['keyword_id']))
{
	OA_Dal_Delivery_query("delete from rv_keyword where keyword_id = '".$_GET['keyword_id']."'");
	$query=OA_Dal_Delivery_query("select * from rv_keyword");
		$norows=OA_Dal_Delivery_numRows($query);
		if(empty($norows))
		{
		OA_Dal_Delivery_query("truncate rv_keyword_banner");
		}
		
	header("Location: account-settings-keyword.php");
}


$resKeywords = OA_Dal_Delivery_query("select * from rv_keyword");

?>

 <table width='100%'>
        <tbody><tr>
            <td colspan='4' height='25'>

                           
                              <img src='assets/images/icon-settings.gif' height='16' width='16' align='absmiddle'>&nbsp;
                <b>Keyword Settings</b>
            </td>
        </tr>
        <tr height='1'>
                <td width='30' bgcolor='#888888'><img src='assets/images/break.gif' height='1' width='30'></td>
               <td width='30' bgcolor='#888888'><img src='assets/images/break.gif' height='1' width='250'></td>

                   <td width='30' bgcolor='#888888'><img src='assets/images/break.gif' height='1' width='1'></td>
                    <td width='30' bgcolor='#888888'><img src='assets/images/break.gif' height='1' width='30'></td>
        </tr>
        <tr>
            <td colspan='4' height='10'><img src='assets/images/spacer.gif' height='1' width='30'></td>
        </tr>
</table>
<?php
function myFirst()
{
	echo "<tr><td><input type='text' name='keyword[]'/></td></tr>";
    
}
echo "<form action='account-settings-keyword.php' method='POST'>";
echo "<table>";
echo "<tr><td><h3>Insert keywords :</h3></td></tr>";
echo "<tr><td><input type='text' name='keyword[]' value=''/></td></tr>";
echo "<tr><td><input type='text' name='keyword[]' value=''/></td></tr>";
echo "<tr><td><input type='text' name='keyword[]' value=''/></td></tr>";

$temp = 1;
if (isset($_GET['run']))
{
	$temp = $_GET['temp'];
	for ($i = 0;$i < $temp;$i++)
	{
	 myFirst();
	} 
	$temp++;
}

echo "<tr><td><a href='?run=first&temp=$temp'>Insert More >></a></td></tr>";
echo "<tr><td>&nbsp;</td></tr>";
echo "<tr><td><input type='submit' value='submit' name='submit'></td></tr>";
echo "</table>";
echo "</form>";


// ********* keywords already added ************* //
?>

<table>
<tr>
	<td>&nbsp;</td>
</tr><tr>
	<td><h3>Added Keywords</h3></td>
</tr>
<?php

while ($rowKeywords = OA_Dal_Delivery_fetchAssoc($resKeywords))
{
?>
<tr>
	<td><?php echo htmlentities($rowKeywords['keyword']); ?></td><td><a href="account-settings-keyword.php?keyword_id=<?php echo $rowKeywords['keyword_id']; ?>">delete</a></td>
</tr>
<?php
}
?>
</table>

<?php




// Display the page footer
phpAds_PageFooter();

?>
